Subject: bug#13225: 24.3.50; Non-selected window has not mode-line-inactive face

From: martin rudalics <[email-masked]>
Date: Sat, 22 Dec 2012 17:05:23 +0100

>> ... and while we compute the mode line we don't care whether
 >> selected_frame-> selected_window equals selected_window.
 >
 > What makes you think so?

So we do?

 >> Wouldn't it be more correct to handle this as in
 >> run_window_configuration_change_hook?
 >
 > I don't know how run_window_configuration_change_hook handles "this".

Hmmm... that's your code so I can only provide my interpretation of it:
run_window_configuration_change_hook uses select_window_norecord (which
preserves the selected_frame->selected_window = selected_window property
we, according to your question above, do care about.  display_mode_lines
does only XSETWINDOW (selected_window, w) which does not preserve that
property IIUC.

martin